Package com.independentsoft.office.spreadsheet

# Class IconSet

java.lang.Object
com.independentsoft.office.spreadsheet.IconSet

public class IconSet extends Object
The Class IconSet.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IconSet()`
  Instantiates a new icon set.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IconSet`
  `clone()`
  `List<ConditionalFormatValueObject>`
  `getConditionalFormatValueObjects()`
  Gets the conditional format value objects.
  `IconSetType`
  `getType()`
  Gets the type.
  `boolean`
  `isPercent()`
  Checks if is percent.
  `boolean`
  `isReverse()`
  Checks if is reverse.
  `boolean`
  `isShowValue()`
  Checks if is show value.
  `void`
  `setPercent​(boolean isPercent)`
  Sets the percent.
  `void`
  `setReverse​(boolean isReverse)`
  Sets the reverse.
  `void`
  `setShowValue​(boolean showValue)`
  Sets the show value.
  `void`
  `setType​(IconSetType type)`
  Sets the type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IconSet

    public IconSet()
    Instantiates a new icon set.

- ## Method Details

  - ### clone

    public IconSet clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getConditionalFormatValueObjects

    public List<ConditionalFormatValueObject> getConditionalFormatValueObjects()
    Gets the conditional format value objects.
    Returns:
      the conditional format value objects

  - ### getType

    public IconSetType getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(IconSetType type)
    Sets the type.
    Parameters:
      `type` - the new type

  - ### isPercent

    public boolean isPercent()
    Checks if is percent.
    Returns:
      true, if is percent

  - ### setPercent

    public void setPercent​(boolean isPercent)
    Sets the percent.
    Parameters:
      `isPercent` - the new percent

  - ### isReverse

    public boolean isReverse()
    Checks if is reverse.
    Returns:
      true, if is reverse

  - ### setReverse

    public void setReverse​(boolean isReverse)
    Sets the reverse.
    Parameters:
      `isReverse` - the new reverse

  - ### isShowValue

    public boolean isShowValue()
    Checks if is show value.
    Returns:
      true, if is show value

  - ### setShowValue

    public void setShowValue​(boolean showValue)
    Sets the show value.
    Parameters:
      `showValue` - the new show value